from pathlib import Path

from ._iconfont import IconFont

FONTS = Path(__file__).parent / "fonts"


class FA5S(IconFont):
    __font_file__ = str(FONTS / "Font Awesome 5 Free-Solid-900.otf")

    ad = '\uf641'
    address_book = '\uf2b9'
    address_card = '\uf2bb'
    adjust = '\uf042'
    air_freshener = '\uf5d0'
    align_center = '\uf037'
    align_justify = '\uf039'
    align_left = '\uf036'
    align_right = '\uf038'
    allergies = '\uf461'
    ambulance = '\uf0f9'
    american_sign_language_interpreting = '\uf2a3'
    anchor = '\uf13d'
    angle_double_down = '\uf103'
    angle_double_left = '\uf100'
    angle_double_right = '\uf101'
    angle_double_up = '\uf102'
    angle_down = '\uf107'
    angle_left = '\uf104'
    angle_right = '\uf105'
    angle_up = '\uf106'
    angry = '\uf556'
    ankh = '\uf644'
    apple_alt = '\uf5d1'
    archive = '\uf187'
    archway = '\uf557'
    arrow_alt_circle_down = '\uf358'
    arrow_alt_circle_left = '\uf359'
    arrow_alt_circle_right = '\uf35a'
    arrow_alt_circle_up = '\uf35b'
    arrow_circle_down = '\uf0ab'
    arrow_circle_left = '\uf0a8'
    arrow_circle_right = '\uf0a9'
    arrow_circle_up = '\uf0aa'
    arrow_down = '\uf063'
    arrow_left = '\uf060'
    arrow_right = '\uf061'
    arrow_up = '\uf062'
    arrows_alt = '\uf0b2'
    arrows_alt_h = '\uf337'
    arrows_alt_v = '\uf338'
    assistive_listening_systems = '\uf2a2'
    asterisk = '\uf069'
    at = '\uf1fa'
    atlas = '\uf558'
    atom = '\uf5d2'
    audio_description = '\uf29e'
    award = '\uf559'
    baby = '\uf77c'
    baby_carriage = '\uf77d'
    backspace = '\uf55a'
    backward = '\uf04a'
    bacon = '\uf7e5'
    bacteria = '\ue059'
    bacterium = '\ue05a'
    bahai = '\uf666'
    balance_scale = '\uf24e'
    balance_scale_left = '\uf515'
    balance_scale_right = '\uf516'
    ban = '\uf05e'
    band_aid = '\uf462'
    barcode = '\uf02a'
    bars = '\uf0c9'
    baseball_ball = '\uf433'
    basketball_ball = '\uf434'
    bath = '\uf2cd'
    battery_empty = '\uf244'
    battery_full = '\uf240'
    battery_half = '\uf242'
    battery_quarter = '\uf243'
    battery_three_quarters = '\uf241'
    bed = '\uf236'
    beer = '\uf0fc'
    bell = '\uf0f3'
    bell_slash = '\uf1f6'
    bezier_curve = '\uf55b'
    bible = '\uf647'
    bicycle = '\uf206'
    biking = '\uf84a'
    binoculars = '\uf1e5'
    biohazard = '\uf780'
    birthday_cake = '\uf1fd'
    blender = '\uf517'
    blender_phone = '\uf6b6'
    blind = '\uf29d'
    blog = '\uf781'
    bold = '\uf032'
    bolt = '\uf0e7'
    bomb = '\uf1e2'
    bone = '\uf5d7'
    bong = '\uf55c'
    book = '\uf02d'
    book_dead = '\uf6b7'
    book_medical = '\uf7e6'
    book_open = '\uf518'
    book_reader = '\uf5da'
    bookmark = '\uf02e'
    border_all = '\uf84c'
    border_none = '\uf850'
    border_style = '\uf853'
    bowling_ball = '\uf436'
    box = '\uf466'
    box_open = '\uf49e'
    box_tissue = '\ue05b'
    boxes = '\uf468'
    braille = '\uf2a1'
    brain = '\uf5dc'
    bread_slice = '\uf7ec'
    briefcase = '\uf0b1'
    briefcase_medical = '\uf469'
    broadcast_tower = '\uf519'
    broom = '\uf51a'
    brush = '\uf55d'
    bug = '\uf188'
    building = '\uf1ad'
    bullhorn = '\uf0a1'
    bullseye = '\uf140'
    burn = '\uf46a'
    bus = '\uf207'
    bus_alt = '\uf55e'
    business_time = '\uf64a'
    calculator = '\uf1ec'
    calendar = '\uf133'
    calendar_alt = '\uf073'
    calendar_check = '\uf274'
    calendar_day = '\uf783'
    calendar_minus = '\uf272'
    calendar_plus = '\uf271'
    calendar_times = '\uf273'
    calendar_week = '\uf784'
    camera = '\uf030'
    camera_retro = '\uf083'
    campground = '\uf6bb'
    candy_cane = '\uf786'
    cannabis = '\uf55f'
    capsules = '\uf46b'
    car = '\uf1b9'
    car_alt = '\uf5de'
    car_battery = '\uf5df'
    car_crash = '\uf5e1'
    car_side = '\uf5e4'
    caravan = '\uf8ff'
    caret_down = '\uf0d7'
    caret_left = '\uf0d9'
    caret_right = '\uf0da'
    caret_square_down = '\uf150'
    caret_square_left = '\uf191'
    caret_square_right = '\uf152'
    caret_square_up = '\uf151'
    caret_up = '\uf0d8'
    carrot = '\uf787'
    cart_arrow_down = '\uf218'
    cart_plus = '\uf217'
    cash_register = '\uf788'
    cat = '\uf6be'
    certificate = '\uf0a3'
    chair = '\uf6c0'
    chalkboard = '\uf51b'
    chalkboard_teacher = '\uf51c'
    charging_station = '\uf5e7'
    chart_area = '\uf1fe'
    chart_bar = '\uf080'
    chart_line = '\uf201'
    chart_pie = '\uf200'
    check = '\uf00c'
    check_circle = '\uf058'
    check_double = '\uf560'
    check_square = '\uf14a'
    cheese = '\uf7ef'
    chess = '\uf439'
    chess_bishop = '\uf43a'
    chess_board = '\uf43c'
    chess_king = '\uf43f'
    chess_knight = '\uf441'
    chess_pawn = '\uf443'
    chess_queen = '\uf445'
    chess_rook = '\uf447'
    chevron_circle_down = '\uf13a'
    chevron_circle_left = '\uf137'
    chevron_circle_right = '\uf138'
    chevron_circle_up = '\uf139'
    chevron_down = '\uf078'
    chevron_left = '\uf053'
    chevron_right = '\uf054'
    chevron_up = '\uf077'
    child = '\uf1ae'
    church = '\uf51d'
    circle = '\uf111'
    circle_notch = '\uf1ce'
    city = '\uf64f'
    clinic_medical = '\uf7f2'
    clipboard = '\uf328'
    clipboard_check = '\uf46c'
    clipboard_list = '\uf46d'
    clock = '\uf017'
    clone = '\uf24d'
    closed_captioning = '\uf20a'
    cloud = '\uf0c2'
    cloud_download_alt = '\uf381'
    cloud_meatball = '\uf73b'
    cloud_moon = '\uf6c3'
    cloud_moon_rain = '\uf73c'
    cloud_rain = '\uf73d'
    cloud_showers_heavy = '\uf740'
    cloud_sun = '\uf6c4'
    cloud_sun_rain = '\uf743'
    cloud_upload_alt = '\uf382'
    cocktail = '\uf561'
    code = '\uf121'
    code_branch = '\uf126'
    coffee = '\uf0f4'
    cog = '\uf013'
    cogs = '\uf085'
    coins = '\uf51e'
    columns = '\uf0db'
    comment = '\uf075'
    comment_alt = '\uf27a'
    comment_dollar = '\uf651'
    comment_dots = '\uf4ad'
    comment_medical = '\uf7f5'
    comment_slash = '\uf4b3'
    comments = '\uf086'
    comments_dollar = '\uf653'
    compact_disc = '\uf51f'
    compass = '\uf14e'
    compress = '\uf066'
    compress_alt = '\uf422'
    compress_arrows_alt = '\uf78c'
    concierge_bell = '\uf562'
    cookie = '\uf563'
    cookie_bite = '\uf564'
    copy = '\uf0c5'
    copyright = '\uf1f9'
    couch = '\uf4b8'
    credit_card = '\uf09d'
    crop = '\uf125'
    crop_alt = '\uf565'
    cross = '\uf654'
    crosshairs = '\uf05b'
    crow = '\uf520'
    crown = '\uf521'
    crutch = '\uf7f7'
    cube = '\uf1b2'
    cubes = '\uf1b3'
    cut = '\uf0c4'
    database = '\uf1c0'
    deaf = '\uf2a4'
    democrat = '\uf747'
    desktop = '\uf108'
    dharmachakra = '\uf655'
    diagnoses = '\uf470'
    dice = '\uf522'
    dice_d20 = '\uf6cf'
    dice_d6 = '\uf6d1'
    dice_five = '\uf523'
    dice_four = '\uf524'
    dice_one = '\uf525'
    dice_six = '\uf526'
    dice_three = '\uf527'
    dice_two = '\uf528'
    digital_tachograph = '\uf566'
    directions = '\uf5eb'
    disease = '\uf7fa'
    divide = '\uf529'
    dizzy = '\uf567'
    dna = '\uf471'
    dog = '\uf6d3'
    dollar_sign = '\uf155'
    dolly = '\uf472'
    dolly_flatbed = '\uf474'
    donate = '\uf4b9'
    door_closed = '\uf52a'
    door_open = '\uf52b'
    dot_circle = '\uf192'
    dove = '\uf4ba'
    download = '\uf019'
    drafting_compass = '\uf568'
    dragon = '\uf6d5'
    draw_polygon = '\uf5ee'
    drum = '\uf569'
    drum_steelpan = '\uf56a'
    drumstick_bite = '\uf6d7'
    dumbbell = '\uf44b'
    dumpster = '\uf793'
    dumpster_fire = '\uf794'
    dungeon = '\uf6d9'
    edit = '\uf044'
    egg = '\uf7fb'
    eject = '\uf052'
    ellipsis_h = '\uf141'
    ellipsis_v = '\uf142'
    envelope = '\uf0e0'
    envelope_open = '\uf2b6'
    envelope_open_text = '\uf658'
    envelope_square = '\uf199'
    equals = '\uf52c'
    eraser = '\uf12d'
    ethernet = '\uf796'
    euro_sign = '\uf153'
    exchange_alt = '\uf362'
    exclamation = '\uf12a'
    exclamation_circle = '\uf06a'
    exclamation_triangle = '\uf071'
    expand = '\uf065'
    expand_alt = '\uf424'
    expand_arrows_alt = '\uf31e'
    external_link_alt = '\uf35d'
    external_link_square_alt = '\uf360'
    eye = '\uf06e'
    eye_dropper = '\uf1fb'
    eye_slash = '\uf070'
    fan = '\uf863'
    fast_backward = '\uf049'
    fast_forward = '\uf050'
    faucet = '\ue005'
    fax = '\uf1ac'
    feather = '\uf52d'
    feather_alt = '\uf56b'
    female = '\uf182'
    fighter_jet = '\uf0fb'
    file = '\uf15b'
    file_alt = '\uf15c'
    file_archive = '\uf1c6'
    file_audio = '\uf1c7'
    file_code = '\uf1c9'
    file_contract = '\uf56c'
    file_csv = '\uf6dd'
    file_download = '\uf56d'
    file_excel = '\uf1c3'
    file_export = '\uf56e'
    file_image = '\uf1c5'
    file_import = '\uf56f'
    file_invoice = '\uf570'
    file_invoice_dollar = '\uf571'
    file_medical = '\uf477'
    file_medical_alt = '\uf478'
    file_pdf = '\uf1c1'
    file_powerpoint = '\uf1c4'
    file_prescription = '\uf572'
    file_signature = '\uf573'
    file_upload = '\uf574'
    file_video = '\uf1c8'
    file_word = '\uf1c2'
    fill = '\uf575'
    fill_drip = '\uf576'
    film = '\uf008'
    filter = '\uf0b0'
    fingerprint = '\uf577'
    fire = '\uf06d'
    fire_alt = '\uf7e4'
    fire_extinguisher = '\uf134'
    first_aid = '\uf479'
    fish = '\uf578'
    fist_raised = '\uf6de'
    flag = '\uf024'
    flag_checkered = '\uf11e'
    flag_usa = '\uf74d'
    flask = '\uf0c3'
    flushed = '\uf579'
    folder = '\uf07b'
    folder_minus = '\uf65d'
    folder_open = '\uf07c'
    folder_plus = '\uf65e'
    font = '\uf031'
    font_awesome_logo_full = '\uf4e6'
    football_ball = '\uf44e'
    forward = '\uf04e'
    frog = '\uf52e'
    frown = '\uf119'
    frown_open = '\uf57a'
    funnel_dollar = '\uf662'
    futbol = '\uf1e3'
    gamepad = '\uf11b'
    gas_pump = '\uf52f'
    gavel = '\uf0e3'
    gem = '\uf3a5'
    genderless = '\uf22d'
    ghost = '\uf6e2'
    gift = '\uf06b'
    gifts = '\uf79c'
    glass_cheers = '\uf79f'
    glass_martini = '\uf000'
    glass_martini_alt = '\uf57b'
    glass_whiskey = '\uf7a0'
    glasses = '\uf530'
    globe = '\uf0ac'
    globe_africa = '\uf57c'
    globe_americas = '\uf57d'
    globe_asia = '\uf57e'
    globe_europe = '\uf7a2'
    golf_ball = '\uf450'
    gopuram = '\uf664'
    graduation_cap = '\uf19d'
    greater_than = '\uf531'
    greater_than_equal = '\uf532'
    grimace = '\uf57f'
    grin = '\uf580'
    grin_alt = '\uf581'
    grin_beam = '\uf582'
    grin_beam_sweat = '\uf583'
    grin_hearts = '\uf584'
    grin_squint = '\uf585'
    grin_squint_tears = '\uf586'
    grin_stars = '\uf587'
    grin_tears = '\uf588'
    grin_tongue = '\uf589'
    grin_tongue_squint = '\uf58a'
    grin_tongue_wink = '\uf58b'
    grin_wink = '\uf58c'
    grip_horizontal = '\uf58d'
    grip_lines = '\uf7a4'
    grip_lines_vertical = '\uf7a5'
    grip_vertical = '\uf58e'
    guitar = '\uf7a6'
    h_square = '\uf0fd'
    hamburger = '\uf805'
    hammer = '\uf6e3'
    hamsa = '\uf665'
    hand_holding = '\uf4bd'
    hand_holding_heart = '\uf4be'
    hand_holding_medical = '\ue05c'
    hand_holding_usd = '\uf4c0'
    hand_holding_water = '\uf4c1'
    hand_lizard = '\uf258'
    hand_middle_finger = '\uf806'
    hand_paper = '\uf256'
    hand_peace = '\uf25b'
    hand_point_down = '\uf0a7'
    hand_point_left = '\uf0a5'
    hand_point_right = '\uf0a4'
    hand_point_up = '\uf0a6'
    hand_pointer = '\uf25a'
    hand_rock = '\uf255'
    hand_scissors = '\uf257'
    hand_sparkles = '\ue05d'
    hand_spock = '\uf259'
    hands = '\uf4c2'
    hands_helping = '\uf4c4'
    hands_wash = '\ue05e'
    handshake = '\uf2b5'
    handshake_alt_slash = '\ue05f'
    handshake_slash = '\ue060'
    hanukiah = '\uf6e6'
    hard_hat = '\uf807'
    hashtag = '\uf292'
    hat_cowboy = '\uf8c0'
    hat_cowboy_side = '\uf8c1'
    hat_wizard = '\uf6e8'
    hdd = '\uf0a0'
    head_side_cough = '\ue061'
    head_side_cough_slash = '\ue062'
    head_side_mask = '\ue063'
    head_side_virus = '\ue064'
    heading = '\uf1dc'
    headphones = '\uf025'
    headphones_alt = '\uf58f'
    headset = '\uf590'
    heart = '\uf004'
    heart_broken = '\uf7a9'
    heartbeat = '\uf21e'
    helicopter = '\uf533'
    highlighter = '\uf591'
    hiking = '\uf6ec'
    hippo = '\uf6ed'
    history = '\uf1da'
    hockey_puck = '\uf453'
    holly_berry = '\uf7aa'
    home = '\uf015'
    horse = '\uf6f0'
    horse_head = '\uf7ab'
    hospital = '\uf0f8'
    hospital_alt = '\uf47d'
    hospital_symbol = '\uf47e'
    hospital_user = '\uf80d'
    hot_tub = '\uf593'
    hotdog = '\uf80f'
    hotel = '\uf594'
    hourglass = '\uf254'
    hourglass_end = '\uf253'
    hourglass_half = '\uf252'
    hourglass_start = '\uf251'
    house_damage = '\uf6f1'
    house_user = '\ue065'
    hryvnia = '\uf6f2'
    i_cursor = '\uf246'
    ice_cream = '\uf810'
    icicles = '\uf7ad'
    icons = '\uf86d'
    id_badge = '\uf2c1'
    id_card = '\uf2c2'
    id_card_alt = '\uf47f'
    igloo = '\uf7ae'
    image = '\uf03e'
    images = '\uf302'
    inbox = '\uf01c'
    indent = '\uf03c'
    industry = '\uf275'
    infinity = '\uf534'
    info = '\uf129'
    info_circle = '\uf05a'
    italic = '\uf033'
    jedi = '\uf669'
    joint = '\uf595'
    journal_whills = '\uf66a'
    kaaba = '\uf66b'
    key = '\uf084'
    keyboard = '\uf11c'
    khanda = '\uf66d'
    kiss = '\uf596'
    kiss_beam = '\uf597'
    kiss_wink_heart = '\uf598'
    kiwi_bird = '\uf535'
    landmark = '\uf66f'
    language = '\uf1ab'
    laptop = '\uf109'
    laptop_code = '\uf5fc'
    laptop_house = '\ue066'
    laptop_medical = '\uf812'
    laugh = '\uf599'
    laugh_beam = '\uf59a'
    laugh_squint = '\uf59b'
    laugh_wink = '\uf59c'
    layer_group = '\uf5fd'
    leaf = '\uf06c'
    lemon = '\uf094'
    less_than = '\uf536'
    less_than_equal = '\uf537'
    level_down_alt = '\uf3be'
    level_up_alt = '\uf3bf'
    life_ring = '\uf1cd'
    lightbulb = '\uf0eb'
    link = '\uf0c1'
    lira_sign = '\uf195'
    list = '\uf03a'
    list_alt = '\uf022'
    list_ol = '\uf0cb'
    list_ul = '\uf0ca'
    location_arrow = '\uf124'
    lock = '\uf023'
    lock_open = '\uf3c1'
    long_arrow_alt_down = '\uf309'
    long_arrow_alt_left = '\uf30a'
    long_arrow_alt_right = '\uf30b'
    long_arrow_alt_up = '\uf30c'
    low_vision = '\uf2a8'
    luggage_cart = '\uf59d'
    lungs = '\uf604'
    lungs_virus = '\ue067'
    magic = '\uf0d0'
    magnet = '\uf076'
    mail_bulk = '\uf674'
    male = '\uf183'
    map = '\uf279'
    map_marked = '\uf59f'
    map_marked_alt = '\uf5a0'
    map_marker = '\uf041'
    map_marker_alt = '\uf3c5'
    map_pin = '\uf276'
    map_signs = '\uf277'
    marker = '\uf5a1'
    mars = '\uf222'
    mars_double = '\uf227'
    mars_stroke = '\uf229'
    mars_stroke_h = '\uf22b'
    mars_stroke_v = '\uf22a'
    mask = '\uf6fa'
    medal = '\uf5a2'
    medkit = '\uf0fa'
    meh = '\uf11a'
    meh_blank = '\uf5a4'
    meh_rolling_eyes = '\uf5a5'
    memory = '\uf538'
    menorah = '\uf676'
    mercury = '\uf223'
    meteor = '\uf753'
    microchip = '\uf2db'
    microphone = '\uf130'
    microphone_alt = '\uf3c9'
    microphone_alt_slash = '\uf539'
    microphone_slash = '\uf131'
    microscope = '\uf610'
    minus = '\uf068'
    minus_circle = '\uf056'
    minus_square = '\uf146'
    mitten = '\uf7b5'
    mobile = '\uf10b'
    mobile_alt = '\uf3cd'
    money_bill = '\uf0d6'
    money_bill_alt = '\uf3d1'
    money_bill_wave = '\uf53a'
    money_bill_wave_alt = '\uf53b'
    money_check = '\uf53c'
    money_check_alt = '\uf53d'
    monument = '\uf5a6'
    moon = '\uf186'
    mortar_pestle = '\uf5a7'
    mosque = '\uf678'
    motorcycle = '\uf21c'
    mountain = '\uf6fc'
    mouse = '\uf8cc'
    mouse_pointer = '\uf245'
    mug_hot = '\uf7b6'
    music = '\uf001'
    network_wired = '\uf6ff'
    neuter = '\uf22c'
    newspaper = '\uf1ea'
    not_equal = '\uf53e'
    notes_medical = '\uf481'
    object_group = '\uf247'
    object_ungroup = '\uf248'
    oil_can = '\uf613'
    om = '\uf679'
    otter = '\uf700'
    outdent = '\uf03b'
    pager = '\uf815'
    paint_brush = '\uf1fc'
    paint_roller = '\uf5aa'
    palette = '\uf53f'
    pallet = '\uf482'
    paper_plane = '\uf1d8'
    paperclip = '\uf0c6'
    parachute_box = '\uf4cd'
    paragraph = '\uf1dd'
    parking = '\uf540'
    passport = '\uf5ab'
    pastafarianism = '\uf67b'
    paste = '\uf0ea'
    pause = '\uf04c'
    pause_circle = '\uf28b'
    paw = '\uf1b0'
    peace = '\uf67c'
    pen = '\uf304'
    pen_alt = '\uf305'
    pen_fancy = '\uf5ac'
    pen_nib = '\uf5ad'
    pen_square = '\uf14b'
    pencil_alt = '\uf303'
    pencil_ruler = '\uf5ae'
    people_arrows = '\ue068'
    people_carry = '\uf4ce'
    pepper_hot = '\uf816'
    percent = '\uf295'
    percentage = '\uf541'
    person_booth = '\uf756'
    phone = '\uf095'
    phone_alt = '\uf879'
    phone_slash = '\uf3dd'
    phone_square = '\uf098'
    phone_square_alt = '\uf87b'
    phone_volume = '\uf2a0'
    photo_video = '\uf87c'
    piggy_bank = '\uf4d3'
    pills = '\uf484'
    pizza_slice = '\uf818'
    place_of_worship = '\uf67f'
    plane = '\uf072'
    plane_arrival = '\uf5af'
    plane_departure = '\uf5b0'
    plane_slash = '\ue069'
    play = '\uf04b'
    play_circle = '\uf144'
    plug = '\uf1e6'
    plus = '\uf067'
    plus_circle = '\uf055'
    plus_square = '\uf0fe'
    podcast = '\uf2ce'
    poll = '\uf681'
    poll_h = '\uf682'
    poo = '\uf2fe'
    poo_storm = '\uf75a'
    poop = '\uf619'
    portrait = '\uf3e0'
    pound_sign = '\uf154'
    power_off = '\uf011'
    pray = '\uf683'
    praying_hands = '\uf684'
    prescription = '\uf5b1'
    prescription_bottle = '\uf485'
    prescription_bottle_alt = '\uf486'
    print = '\uf02f'
    procedures = '\uf487'
    project_diagram = '\uf542'
    pump_medical = '\ue06a'
    pump_soap = '\ue06b'
    puzzle_piece = '\uf12e'
    qrcode = '\uf029'
    question = '\uf128'
    question_circle = '\uf059'
    quidditch = '\uf458'
    quote_left = '\uf10d'
    quote_right = '\uf10e'
    quran = '\uf687'
    radiation = '\uf7b9'
    radiation_alt = '\uf7ba'
    rainbow = '\uf75b'
    random = '\uf074'
    receipt = '\uf543'
    record_vinyl = '\uf8d9'
    recycle = '\uf1b8'
    redo = '\uf01e'
    redo_alt = '\uf2f9'
    registered = '\uf25d'
    remove_format = '\uf87d'
    reply = '\uf3e5'
    reply_all = '\uf122'
    republican = '\uf75e'
    restroom = '\uf7bd'
    retweet = '\uf079'
    ribbon = '\uf4d6'
    ring = '\uf70b'
    road = '\uf018'
    robot = '\uf544'
    rocket = '\uf135'
    route = '\uf4d7'
    rss = '\uf09e'
    rss_square = '\uf143'
    ruble_sign = '\uf158'
    ruler = '\uf545'
    ruler_combined = '\uf546'
    ruler_horizontal = '\uf547'
    ruler_vertical = '\uf548'
    running = '\uf70c'
    rupee_sign = '\uf156'
    sad_cry = '\uf5b3'
    sad_tear = '\uf5b4'
    satellite = '\uf7bf'
    satellite_dish = '\uf7c0'
    save = '\uf0c7'
    school = '\uf549'
    screwdriver = '\uf54a'
    scroll = '\uf70e'
    sd_card = '\uf7c2'
    search = '\uf002'
    search_dollar = '\uf688'
    search_location = '\uf689'
    search_minus = '\uf010'
    search_plus = '\uf00e'
    seedling = '\uf4d8'
    server = '\uf233'
    shapes = '\uf61f'
    share = '\uf064'
    share_alt = '\uf1e0'
    share_alt_square = '\uf1e1'
    share_square = '\uf14d'
    shekel_sign = '\uf20b'
    shield_alt = '\uf3ed'
    shield_virus = '\ue06c'
    ship = '\uf21a'
    shipping_fast = '\uf48b'
    shoe_prints = '\uf54b'
    shopping_bag = '\uf290'
    shopping_basket = '\uf291'
    shopping_cart = '\uf07a'
    shower = '\uf2cc'
    shuttle_van = '\uf5b6'
    sign = '\uf4d9'
    sign_in_alt = '\uf2f6'
    sign_language = '\uf2a7'
    sign_out_alt = '\uf2f5'
    signal = '\uf012'
    signature = '\uf5b7'
    sim_card = '\uf7c4'
    sink = '\ue06d'
    sitemap = '\uf0e8'
    skating = '\uf7c5'
    skiing = '\uf7c9'
    skiing_nordic = '\uf7ca'
    skull = '\uf54c'
    skull_crossbones = '\uf714'
    slash = '\uf715'
    sleigh = '\uf7cc'
    sliders_h = '\uf1de'
    smile = '\uf118'
    smile_beam = '\uf5b8'
    smile_wink = '\uf4da'
    smog = '\uf75f'
    smoking = '\uf48d'
    smoking_ban = '\uf54d'
    sms = '\uf7cd'
    snowboarding = '\uf7ce'
    snowflake = '\uf2dc'
    snowman = '\uf7d0'
    snowplow = '\uf7d2'
    soap = '\ue06e'
    socks = '\uf696'
    solar_panel = '\uf5ba'
    sort = '\uf0dc'
    sort_alpha_down = '\uf15d'
    sort_alpha_down_alt = '\uf881'
    sort_alpha_up = '\uf15e'
    sort_alpha_up_alt = '\uf882'
    sort_amount_down = '\uf160'
    sort_amount_down_alt = '\uf884'
    sort_amount_up = '\uf161'
    sort_amount_up_alt = '\uf885'
    sort_down = '\uf0dd'
    sort_numeric_down = '\uf162'
    sort_numeric_down_alt = '\uf886'
    sort_numeric_up = '\uf163'
    sort_numeric_up_alt = '\uf887'
    sort_up = '\uf0de'
    spa = '\uf5bb'
    space_shuttle = '\uf197'
    spell_check = '\uf891'
    spider = '\uf717'
    spinner = '\uf110'
    splotch = '\uf5bc'
    spray_can = '\uf5bd'
    square = '\uf0c8'
    square_full = '\uf45c'
    square_root_alt = '\uf698'
    stamp = '\uf5bf'
    star = '\uf005'
    star_and_crescent = '\uf699'
    star_half = '\uf089'
    star_half_alt = '\uf5c0'
    star_of_david = '\uf69a'
    star_of_life = '\uf621'
    step_backward = '\uf048'
    step_forward = '\uf051'
    stethoscope = '\uf0f1'
    sticky_note = '\uf249'
    stop = '\uf04d'
    stop_circle = '\uf28d'
    stopwatch = '\uf2f2'
    stopwatch_20 = '\ue06f'
    store = '\uf54e'
    store_alt = '\uf54f'
    store_alt_slash = '\ue070'
    store_slash = '\ue071'
    stream = '\uf550'
    street_view = '\uf21d'
    strikethrough = '\uf0cc'
    stroopwafel = '\uf551'
    subscript = '\uf12c'
    subway = '\uf239'
    suitcase = '\uf0f2'
    suitcase_rolling = '\uf5c1'
    sun = '\uf185'
    superscript = '\uf12b'
    surprise = '\uf5c2'
    swatchbook = '\uf5c3'
    swimmer = '\uf5c4'
    swimming_pool = '\uf5c5'
    synagogue = '\uf69b'
    sync = '\uf021'
    sync_alt = '\uf2f1'
    syringe = '\uf48e'
    table = '\uf0ce'
    table_tennis = '\uf45d'
    tablet = '\uf10a'
    tablet_alt = '\uf3fa'
    tablets = '\uf490'
    tachometer_alt = '\uf3fd'
    tag = '\uf02b'
    tags = '\uf02c'
    tape = '\uf4db'
    tasks = '\uf0ae'
    taxi = '\uf1ba'
    teeth = '\uf62e'
    teeth_open = '\uf62f'
    temperature_high = '\uf769'
    temperature_low = '\uf76b'
    tenge = '\uf7d7'
    terminal = '\uf120'
    text_height = '\uf034'
    text_width = '\uf035'
    th = '\uf00a'
    th_large = '\uf009'
    th_list = '\uf00b'
    theater_masks = '\uf630'
    thermometer = '\uf491'
    thermometer_empty = '\uf2cb'
    thermometer_full = '\uf2c7'
    thermometer_half = '\uf2c9'
    thermometer_quarter = '\uf2ca'
    thermometer_three_quarters = '\uf2c8'
    thumbs_down = '\uf165'
    thumbs_up = '\uf164'
    thumbtack = '\uf08d'
    ticket_alt = '\uf3ff'
    times = '\uf00d'
    times_circle = '\uf057'
    tint = '\uf043'
    tint_slash = '\uf5c7'
    tired = '\uf5c8'
    toggle_off = '\uf204'
    toggle_on = '\uf205'
    toilet = '\uf7d8'
    toilet_paper = '\uf71e'
    toilet_paper_slash = '\ue072'
    toolbox = '\uf552'
    tools = '\uf7d9'
    tooth = '\uf5c9'
    torah = '\uf6a0'
    torii_gate = '\uf6a1'
    tractor = '\uf722'
    trademark = '\uf25c'
    traffic_light = '\uf637'
    trailer = '\ue041'
    train = '\uf238'
    tram = '\uf7da'
    transgender = '\uf224'
    transgender_alt = '\uf225'
    trash = '\uf1f8'
    trash_alt = '\uf2ed'
    trash_restore = '\uf829'
    trash_restore_alt = '\uf82a'
    tree = '\uf1bb'
    trophy = '\uf091'
    truck = '\uf0d1'
    truck_loading = '\uf4de'
    truck_monster = '\uf63b'
    truck_moving = '\uf4df'
    truck_pickup = '\uf63c'
    tshirt = '\uf553'
    tty = '\uf1e4'
    tv = '\uf26c'
    umbrella = '\uf0e9'
    umbrella_beach = '\uf5ca'
    underline = '\uf0cd'
    undo = '\uf0e2'
    undo_alt = '\uf2ea'
    universal_access = '\uf29a'
    university = '\uf19c'
    unlink = '\uf127'
    unlock = '\uf09c'
    unlock_alt = '\uf13e'
    upload = '\uf093'
    user = '\uf007'
    user_alt = '\uf406'
    user_alt_slash = '\uf4fa'
    user_astronaut = '\uf4fb'
    user_check = '\uf4fc'
    user_circle = '\uf2bd'
    user_clock = '\uf4fd'
    user_cog = '\uf4fe'
    user_edit = '\uf4ff'
    user_friends = '\uf500'
    user_graduate = '\uf501'
    user_injured = '\uf728'
    user_lock = '\uf502'
    user_md = '\uf0f0'
    user_minus = '\uf503'
    user_ninja = '\uf504'
    user_nurse = '\uf82f'
    user_plus = '\uf234'
    user_secret = '\uf21b'
    user_shield = '\uf505'
    user_slash = '\uf506'
    user_tag = '\uf507'
    user_tie = '\uf508'
    user_times = '\uf235'
    users = '\uf0c0'
    users_cog = '\uf509'
    users_slash = '\ue073'
    utensil_spoon = '\uf2e5'
    utensils = '\uf2e7'
    vector_square = '\uf5cb'
    venus = '\uf221'
    venus_double = '\uf226'
    venus_mars = '\uf228'
    vest = '\ue085'
    vest_patches = '\ue086'
    vial = '\uf492'
    vials = '\uf493'
    video = '\uf03d'
    video_slash = '\uf4e2'
    vihara = '\uf6a7'
    virus = '\ue074'
    virus_slash = '\ue075'
    viruses = '\ue076'
    voicemail = '\uf897'
    volleyball_ball = '\uf45f'
    volume_down = '\uf027'
    volume_mute = '\uf6a9'
    volume_off = '\uf026'
    volume_up = '\uf028'
    vote_yea = '\uf772'
    vr_cardboard = '\uf729'
    walking = '\uf554'
    wallet = '\uf555'
    warehouse = '\uf494'
    water = '\uf773'
    wave_square = '\uf83e'
    weight = '\uf496'
    weight_hanging = '\uf5cd'
    wheelchair = '\uf193'
    wifi = '\uf1eb'
    wind = '\uf72e'
    window_close = '\uf410'
    window_maximize = '\uf2d0'
    window_minimize = '\uf2d1'
    window_restore = '\uf2d2'
    wine_bottle = '\uf72f'
    wine_glass = '\uf4e3'
    wine_glass_alt = '\uf5ce'
    won_sign = '\uf159'
    wrench = '\uf0ad'
    x_ray = '\uf497'
    yen_sign = '\uf157'
    yin_yang = '\uf6ad'
